---
layout: page
title: How to Contribute
toc: /toc.json
---

### The Process

If you've built something which you think others could use, or are interested in doing so -- 
whether a new supported entity, or a policy, or an example --
it's easy to give back to the community.  Just:

1. **Tell [the brooklyn mailing list](https://mail-archives.apache.org/mod_mbox/incubator-brooklyn-dev/)** about your work or interest

1. **Create your fork** of the project on GitHub

1. **Clone it** to your local machine and do your work on it

1. **Push it**, and tell everyone about it

1. **Sign the relevant Apache contributor agreement(s)**

1. **Issue a pull request** from your GitHub repo

The same process holds for contributing to this documentation (web site and user guide),
but see the additional [tips for updating documentation]({{ site.url }}/dev/tips/update-docs.html).


### Some Words of Advice

* Do early-stage work in the ``/sandbox``, which means we can pulled it in to ``master`` more often --
  keeping branches short-lived and making it easier to collaborate!
               
* Include javadoc and tests

* See the [tips here]({{site.url}}/dev/tips/index.html)

* If you get blocked, **[hollar]({{site.url}}/meta/contact.html)**!
